$  Copyright(c) 1995 Sun Microsystems, Inc.
$  All rights reserved.

$  #ident  "@(#)sunlink.msg  1.10  03/05/30  SMI"


$ VERBOSE
1  "Msg received: Type %d %s"
2  "Testing '%s', board %c, port %c."
3  "Testing '%s', board %d, port %d."
4  "%s: speed=%d, loopback=%s, nrzi=%s, txc=%s, rxc=%s"
5  "ctl.len > sizeof (dl_ok_ack_t):  %d"
6  "ctl.len > sizeof (dl_error_ack_t):  %d"
7  "%s:  MORECTL|MOREDATA"
8  "%s:  MORECTL"
9  "%s:  MOREDATA"
10  "getmsg:  control portion length < sizeof (long):  %d"
11  "%s:  expected %s got %s"
12  "Xmit port %s, Rcv port %s"


$ INFO
2000  Routine specific arguments [defaults]:\n
2001      device=: SunLink port(s) to be tested [hih0]\n
2002      p=: port(s)+port(s)+..: port 0,1,2,.. or ports 0_to_1, 2_to_3, etc.\n
2003  \t[0+1+2+3] : tests port 0, 1, 2, 3.\n
2004  \t2_to_3 : means from port 2 to port 3. \n
2005      C=: clock source [B]\n
2006  \tB : on-board clock source\n
2007  \tE : external clock source\n
2008      I=: internal loopback[Disable]. Enable or Disable. \n
2009      P=: data  pattern [r]\n
2010  \tc : character 0x55\n
2011  \ti : incrementing\n
2012  \td : decrementing\n
2013  \tr : random\n
2014      speed=: baud rate, from 9600 to 2.048mbs[100000].\n
2015  Connectivity_Status: <%s> is connected\n

$ WARNING
4000  "improper permissions for request"
4001  "DLSAP address in improper format or invalid"
4002  "sequence number not from outstanding DL_CONN_IND"
4003  "user data exceeded provider limit"
4004  "specified PPA was invalid"
4005  "primitive received is not known by DLS provider"
4006  "QOS parameters contained invalid values"
4007  "QOS structure type is unknown or unsupported"
4008  "bad LSAP selector"
4009  "token used not associated with an active stream"
4010  "attempted second bind with dl_max_conind or dl_conn_mgmt > 0 on same DLSAP or PPA"
4011  "physical link initialization failed"
4012  "provider couldn't allocate alternate address"
4013  "physical link not initialized"
4014  "primitive issued in improper state"
4015  "UNIX system error occurred"
4016  "requested service not supplied by provider"
4017  "previous data unit could not be delivered"
4018  "primitive is known but not supported by DLS provider"
4019  "unknown dlerrno %d"


$ ERROR 
6000  "Device name must be provided!"
6001  "Invalid port specification."
6002  "Invalid port number."
6003  "BSC protocol is not implemented for '%s'."
6004  "ASYNC protocol is not implemented for '%s'."
6005  "Illegal protocol specified for '%s'."
6006  "Could not open file : %s"
6007  "Could not open file devname %s"
6008  "Could not open file (clonename)%s"
6009  "Can't get sync mode info for %s."
6010  "Can't set sync mode info for %s."
6011  "Couldn't successfully execute '/usr/sunlink/dcp/dcp%s."
6012  "Packet received but none sent!  Activity on-line.  Quiesce other end before starting."
6013  "transmit failed on '%s'."
6014  "receive failed on '%s'."
6015  "data compare error on '%s', exp = 0x%x, actual = 0x%x, offset = %d."
6016  "'%s' does not respond" Probable_Cause(s): <No loopback plug> <system load too heavy> Recommended_Actions: <Check Loopback plug> <reduce system load>
6017  "sigalrm: TIMEOUT" Probable_Cause(s): <No loopback plug> <system load too heavy> Recommended_Actions: <Check Loopback plug> <reduce system load>



$ FATAL
8000  "unsupported primitive type 0x%x"
8001  "%s (%s)"
8002  "response ctl.len too short:  %d"
8003  "DL_INFO_ACK was not M_PCPROTO"
8004  "DL_OK_ACK was not M_PCPROTO"
